Summary: Greasemonkey extension for firefox
Name: firefox-ext-greasemonkey
Version: 0.9.13
Release: %mkrel 1
License: MIT
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/748
Source: http://releases.mozilla.org/pub/mozilla.org/addons/748/greasemonkey-%{version}-fx.xpi
Requires:	mozilla-firefox >= %{firefox_epoch}:%{firefox_version}
BuildRequires:	firefox-devel
Buildarch: noarch

%description
Allows you to customize the way a webpage displays using small bits of
JavaScript.  Hundreds of scripts, for a wide variety of popular sites, are
already available at http://userscripts.org.  You can write your own scripts,
too. Check out http://wiki.greasespot.net/ to get started.

%prep
%setup -q -c -n %{name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}/*


%changelog

* Fri Jan 06 2012 fwang <fwang> 0.9.13-1.mga2
+ Revision: 192522
- new version 0.9.13

* Sun Nov 06 2011 fwang <fwang> 0.9.12-1.mga2
+ Revision: 164158
- new version 0.9.12

* Tue Sep 27 2011 fwang <fwang> 0.9.11-1.mga2
+ Revision: 149221
- new version 0.9.11
- new version 0.9.8

  + dmorgan <dmorgan>
    - Rebuild to have a higher release in cauldron

* Thu Jul 21 2011 tv <tv> 0.9.7-1.mga2
+ Revision: 127594
+ rebuild (emptylog)

* Thu Jul 21 2011 tv <tv> 0.9.7-0.1.mga2
+ Revision: 127593
- new release

* Wed Jun 29 2011 tv <tv> 0.9.5-1.mga2
+ Revision: 116081
- new release

* Sat Apr 30 2011 tv <tv> 0.9.2-1.mga1
+ Revision: 93717
- new release

* Tue Mar 22 2011 tv <tv> 0.9.1-1.mga1
+ Revision: 75394
- new release
- imported package firefox-ext-greasemonkey

